## partd 0.3.7

=== debian/changelog ===
partd (0.3.7-1) unstable; urgency=medium

  * New upstream release

 -- Diane Trout <diane@ghic.org>  Thu, 05 Jan 2017 10:55:47 -0800

partd (0.3.6-1) unstable; urgency=low

  * Initial packaging. (Closes: #847523)

 -- Diane Trout <diane@ghic.org>  Mon, 05 Dec 2016 10:47:44 -0800

## partd 1.2.0

=== requirements.txt ===
locket
toolz

## partd 0.3.8

=== debian/changelog ===
partd (0.3.8-1) unstable; urgency=medium

  * Switch from git-dpm to gbp
  * New upstream version 0.3.8

 -- Diane Trout <diane@ghic.org>  Thu, 01 Jun 2017 20:26:03 -0700

=== debian/control ===
Source: partd
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-blosc,
               python3-locket,
               python3-numpy (>= 1.9.0),
               python3-pandas,
               python3-setuptools,
               python3-toolz,
               python3-zmq
Standards-Version: 3.9.8
Homepage: http://github.com/dask/partd/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/partd.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/partd.git
Testsuite: autopkgtest-pkg-python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python3-partd
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-numpy (>= 1.9.0), python3-pandas, python3-zmq, python3-blosc
Description: Appendable key-value storage for Python 3
 Key-value byte store with appendable values
 .
  - Partd stores key-value pairs.
  - Values are raw bytes.
  - Appends on old values.
 .
 Partd excels at shuffling operations.
 .
 This contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Mon, 05 Dec 2016 10:47:44 -0800
export PYBUILD_NAME=partd
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .cache/

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd partd/tests ; echo "Testing with $py:" ; $py $(which py.test-3) ; cd ../.. ; done
Depends: @, python3-pytest
Restrictions: needs-recommends

=== debian/watch ===
# please also check http://pypi.debian.net/partd/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/partd/partd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## partd 0.3.9

=== debian/changelog ===
partd (0.3.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Diane Trout ]
  * New upstream release.
  * Update debhelper compat to 11
  * Wrap Test-Command for easier reading
  * add autopkgtest depends on python3-all. (Closes: #911951)
  * Update to standards version 4.2.1. No changes needed
  * Remove unnecessary-testsuite-autopkgtest-field
  * Remove needs-recommends restriction and list optional test dependencies
  * Remove .pytest_cache in debian/rules in case we ran tests
  * Be more verbose in tests so I can find where it was hanging

 -- Diane Trout <diane@ghic.org>  Wed, 31 Oct 2018 21:38:51 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-blosc,
@@ -13,13 +13,10 @@
                python3-setuptools,
                python3-toolz,
                python3-zmq
-Standards-Version: 3.9.8
-Homepage: http://github.com/dask/partd/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/partd.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/partd.git
-Testsuite: autopkgtest-pkg-python
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.2.1
+Homepage: https://github.com/dask/partd/
+Vcs-Git: https://salsa.debian.org/python-team/modules/partd.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/partd
 
 Package: python3-partd
 Architecture: all

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do pushd partd/tests
 ; echo "Testing with $py:"
 ; http_proxy= $py -m pytest -v
 ; popd
 ; done
Depends: @,
 python3-pytest,
 python3-all,
 python3-numpy,
 python3-pandas,
 python3-zmq,
 python3-blosc,

## partd 1.0.0

=== debian/changelog ===
partd (1.0.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.0.0
  * debhelper-compat level 12
  * Bump Standards-Version to 4.4.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 13 Sep 2019 23:34:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-blosc,
                python3-locket,
-               python3-numpy (>= 1.9.0),
+               python3-numpy,
                python3-pandas,
                python3-setuptools,
                python3-toolz,
                python3-zmq
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/dask/partd/
 Vcs-Git: https://salsa.debian.org/python-team/modules/partd.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/partd
@@ -21,7 +21,7 @@
 Package: python3-partd
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: python3-numpy (>= 1.9.0), python3-pandas, python3-zmq, python3-blosc
+Recommends: python3-blosc, python3-numpy, python3-pandas, python3-zmq
 Description: Appendable key-value storage for Python 3
  Key-value byte store with appendable values
  .

=== debian/watch ===
# please also check https://pypi.debian.net/partd/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/partd/partd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## partd 1.2.0

=== debian/changelog ===
partd (1.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 19:25:03 +0100

partd (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Diane Trout ]
  * New upstream release
  * Bump Standards-Version to 4.5.1. No changes needed
  * add test-zmq-on-localhost.patch to limit zmq tests to loopback
    interface.

 -- Diane Trout <diane@ghic.org>  Thu, 19 Aug 2021 12:05:35 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: partd
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-blosc,
@@ -13,10 +13,10 @@
                python3-setuptools,
                python3-toolz,
                python3-zmq
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/dask/partd/
-Vcs-Git: https://salsa.debian.org/python-team/modules/partd.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/partd
+Vcs-Git: https://salsa.debian.org/python-team/packages/partd.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/partd
 
 Package: python3-partd
 Architecture: all

## partd 1.3.0

=== debian/changelog ===
partd (1.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Diane Trout ]
  * New upstream release

 -- Diane Trout <diane@ghic.org>  Wed, 11 Jan 2023 22:29:53 -0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-toolz,
                python3-zmq
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/dask/partd/
 Vcs-Git: https://salsa.debian.org/python-team/packages/partd.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/partd

## partd 1.4.1

=== debian/changelog ===
partd (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * Test supported versions (-s) in autopkgtest
  * Use system versioneer instead of embedded copy (Closes: #1058178)
    - added remove-embedded-versioneer.patch
    - added python3-versioneer build dependency
  * Add tzinfo-legacy as dependency for autopkgtests

 -- Diane Trout <diane@ghic.org>  Sun, 31 Dec 2023 10:09:00 -0800

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-pandas,
                python3-setuptools,
                python3-toolz,
+               python3-versioneer,
                python3-zmq
 Standards-Version: 4.6.2
 Homepage: https://github.com/dask/partd/

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf .cache/
+	rm -rf .cache/ .pytest_cache/

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -s 2>/dev/null)
 ; do pushd partd/tests
 ; echo "Testing with $py:"
 ; http_proxy= $py -m pytest -v
 ; popd
 ; done
Depends: @,
 python3-pytest,
 python3-all,
 python3-numpy,
 python3-pandas,
 python3-zmq,
 python3-blosc,
 tzdata-legacy,

## partd 1.4.2

=== debian/changelog ===
partd (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * Run tests at build time.
  * Use pybuild-plugin-pyproject.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Jun 2024 21:04:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-blosc,
                python3-locket,
                python3-numpy,
                python3-pandas,
+               python3-pytest,
                python3-setuptools,
                python3-toolz,
                python3-versioneer,
-               python3-zmq
+               python3-zmq,
+               tzdata-legacy,
 Standards-Version: 4.6.2
 Homepage: https://github.com/dask/partd/
 Vcs-Git: https://salsa.debian.org/python-team/packages/partd.git
